Change a post pay structure
curl --request PUT \
--url https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"payStructureId": "<string>"
}
'import requests
url = "https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure"
payload = { "payStructureId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({payStructureId: '<string>'})
};
fetch('https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'payStructureId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure"
payload := strings.NewReader("{\n \"payStructureId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"payStructureId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payStructureId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"programId": "<string>",
"payStructure": {
"label": "<string>",
"status": "<string>"
}
}Posts
Change a post pay structure
Pay one Canvas post’s video under any pay structure on its program, as the dashboard media pay picker does. It acts on the whole video, with its cross-posts. Before the video’s pay locks, the change only records the pick. After the lock, it re-prices the video at once and pays its held money at the new price; money paid is not taken back.
PUT
/
posts
/
{id}
/
pay-structure
Change a post pay structure
curl --request PUT \
--url https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"payStructureId": "<string>"
}
'import requests
url = "https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure"
payload = { "payStructureId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({payStructureId: '<string>'})
};
fetch('https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'payStructureId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure"
payload := strings.NewReader("{\n \"payStructureId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"payStructureId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/posts/{id}/pay-structure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payStructureId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"programId": "<string>",
"payStructure": {
"label": "<string>",
"status": "<string>"
}
}Query Parameters
Body
application/json